curl --request POST \
--url https://api-dev.narrative.io/workflows/{workflow_id}/schedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"trigger_immediately": false
}
'{
"run_id": "b7e3f1a2-4c5d-6e7f-8a9b-0c1d2e3f4a5b"
}Create a schedule for a workflow based on the cron expression defined in its specification.
The workflow specification must contain a schedule section.
Optionally, the workflow can also be triggered immediately by setting trigger_immediately to true.
curl --request POST \
--url https://api-dev.narrative.io/workflows/{workflow_id}/schedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"trigger_immediately": false
}
'{
"run_id": "b7e3f1a2-4c5d-6e7f-8a9b-0c1d2e3f4a5b"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique identifier for a workflow.
If true, the workflow will also be triggered immediately after scheduling.
false
The workflow was scheduled successfully.
The run ID if the workflow was triggered immediately after scheduling.
"b7e3f1a2-4c5d-6e7f-8a9b-0c1d2e3f4a5b"
Was this page helpful?